Skip to main content
GET
cURL
返回为给定数据集视图存储的完整交付配置。deliver 对象包含特定于目标的字段(例如 S3 目标的 bucket、credentials、region),顶级 tar、compress、batch_size 和 filename 字段描述输出文件的打包方式。
通过调用 获取数据集视图 来查找 view_id。

授权

Authorization
string
header
必填

在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。

认证方法:

  1. 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
  2. 在请求的 Authorization 头中包含 API Key
  3. 格式: Authorization: Bearer YOUR_API_KEY

示例:

了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?

路径参数

view_id
string
必填

数据集视图的唯一标识。

示例:

"v_id1"

响应

视图的当前交付配置

数据集视图的交付配置。用于视图交付设置的 GET、PUT 和批量 PUT 端点。

deliver
object

交付目标配置。type 字段用于选择目标(例如 s3、sftp、webhook),其余字段取决于 /datasets/delivery_settings/{destination_type}/schema 返回的目标 schema。

filename
object

输出文件名和格式的配置。

flatten_csv
boolean
默认值:false

为 true 时,CSV 输出中的嵌套字段会被展平。

tar
boolean
默认值:false

为 true 时,交付的文件会打包为 TAR 归档。

compress
boolean
默认值:false

为 true 时,交付的文件会使用 gzip 压缩。

batch_size
integer

每个批次文件的最大记录数,用于将大型交付拆分为较小的文件。最大批次大小为 5GB。

示例:

1000